#!/bin/sh

if [ ! -f "/data/deploy_info.json" ]; then
  echo "File deploy_info.json is missing"
  echo "Run hyrax/deploy_info.js"
  exit 1
fi

touch testfile
currenttime=`stat -c %Y testfile`
comparetime=$((currenttime-600))
filetime=`stat -c %Y /data/deploy_info.json`
rm testfile

if [ $filetime -lt $comparetime ]; then
  echo "File deploy_info.json is older than 30 minutes"
  echo "Run hyrax/deploy_info.js"
  exit 1
fi
